<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}

$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=13;
?>
<?
/*Sesiones*/
include("../conex.php");
include("../autoriza.php");
if ($editar==0)  
{
?>
		<script>
		alert ("No Autorizado");
			window.top.open('','_parent','');window.top.close();
		</script>
	<? 
	exit();
}
$cod_usuario=$_GET["cp"];
$sql_lf = "SELECT * FROM vendedor WHERE id = $cod_usuario";
$resultado = mysql_query($sql_lf,$enlace);
$cont=0;
while (mysql_fetch_object ($resultado))
	{
	$nombre_usuario=mysql_result($resultado, $cont, "nombres");
	$codigo_usuario=mysql_result($resultado, $cont, "id");
	$id_bodega=mysql_result($resultado, $cont, "id_bodega");
	$cont=$cont+1;
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Lista de Vendedores</title>
<style type="text/css">
<!--
.Estilo7 {
	font-size: small;
	color: #000099;
}
.Estilo11 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: small; color: #000099; }
.Estilo13 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
	color: #000099;
	text-decoration: underline;
}
.Estilo14 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000099;
}
-->
</style>
<link href="../hojadeestilosjc.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="41%" height="29" border="0">
<tr>
		<td height="23"><div align="center" class="titulos2"> Vendedor: 	<?=$nombre_usuario?>  Bodega: <?=$id_bodega?> </div></td>
  </tr>
 
</table>
<div align="center"></div>
<form action="" method="post" enctype="multipart/form-data" name="form1" target="_self">
  <table width="60%" border="1" align="left" cellspacing="0">
  <tr bgcolor="#00CCFF" class="detalle_tablas_II_negrita" style="font-size:12px">
   <th width="56%" scope="col">Nombres Rutas</th>
    <th width="14%" scope="col">Lunes</th>
	<th width="14%" scope="col">Martes</th>
    <th width="14%" scope="col">Miercoles</th>
    <th width="14%" scope="col">Jueves</th>
	<th width="14%" scope="col">Viernes</th>
    <th width="14%" scope="col">Sabado</th>
    <th width="14%" scope="col">Domingo</th>
     <th width="14%" scope="col">Graba</th>
      <th width="14%" scope="col">Clientes</th>
    </tr>
<?
$cont=0;
$sql_lp = "SELECT *  FROM zona where id_bodega=$id_bodega ORDER BY descripcion";
$resultado = mysql_query($sql_lp,$enlace);
while (mysql_fetch_object ($resultado))
	{
	$id_codigo[$cont]=mysql_result($resultado, $cont, "Id");
	$id_nombre=mysql_result($resultado, $cont, "descripcion");
	
	$con1=0;
	$sql_ma = "SELECT *  FROM vendedor_zona WHERE id_zona=$id_codigo[$cont] AND id_vendedor=$codigo_usuario AND id_empresa=$id_empresa";
     $res_ma = mysql_query($sql_ma,$enlace);
    while (mysql_fetch_object ($res_ma))
	{
		$dia=mysql_result($res_ma, $con1, "Ven_dia");
	$id_vendedor_zona[$cont]=mysql_result($res_ma, $con1, "Id");
	if ($dia==1) {$lunes[$cont]=1;}
	if ($dia==2) {$martes[$cont]=1;}
	if ($dia==3) {$miercoles[$cont]=1;}
	if ($dia==4) {$jueves[$cont]=1;}
	if ($dia==5) {$viernes[$cont]=1;}
	if ($dia==6) {$sabado[$cont]=1;}
	if ($dia==7) {$domingo[$cont]=1;}
	$con1+=1;
	}
?>
	<tr bgcolor="#CBFEC2">
	  <td class="Estilo14"><div align="left"><?=$id_nombre;?></div></td>
       <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="lunes[<?=$cont;?>]" id="lunes[<?=$cont;?>]" type="text" value="<?=$lunes[$cont];?>"  Onclick="fun_lunes('<?=$cont;?>');" style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>
      
       <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="martes[<?=$cont;?>]" id="martes[<?=$cont;?>]" type="text" value="<?=$martes[$cont];?>" Onclick="fun_martes('<?=$cont;?>');" style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>	
    
     
	<td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="miercoles[<?=$cont;?>]" id="miercoles[<?=$cont;?>]" type="text" value="<?=$miercoles[$cont];?>" Onclick="fun_miercoles('<?=$cont;?>');" style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>
      <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="jueves[<?=$cont;?>]" id="jueves[<?=$cont;?>]" type="text" value="<?=$jueves[$cont];?>" Onclick="fun_jueves('<?=$cont;?>');" style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>
      <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="viernes[<?=$cont;?>]" id="viernes[<?=$cont;?>]" type="text" value="<?=$viernes[$cont];?>" Onclick="fun_viernes('<?=$cont;?>');" style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>
      <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="sabado[<?=$cont;?>]" id="sabado[<?=$cont;?>]" type="text" value="<?=$sabado[$cont];?>" Onclick="fun_sabado('<?=$cont;?>');" style="text-align:center;width:30%" > 
           
	  </font></strong></div></td>
      <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="domingo[<?=$cont;?>]" id="domingo[<?=$cont;?>]" type="text" value="<?=$domingo[$cont];?>" Onclick="fun_domingo('<?=$cont;?>');" style="text-align:center;width:30%" > 
           
	  </font></strong></div></td>
       <td class="Estilo14"><div align="center">
		<span align="center" class="Estilo13" onClick="graba('<?=$cont;?>');" style="cursor:pointer" title="Click aqui para Autorizar o Borrar">
		<img src="../Images/ir.gif"></span>
	</td>	
        
         <td class="Estilo14"><div align="center">
		<span align="center" class="Estilo13" onClick="enviar1('lista_clientes_ruta.php?cp=<?=$id_codigo[$cont];?>')" style="cursor:pointer" title="Click aqui para mostrar Clientes Ruta">
		<img src="../Images/ir.gif"></span>
	</td>
	</td>	
     <td>   
     <input name="id_codigo[<?=$cont;?>]" id="id_codigo[<?=$cont;?>]" type="hidden" value="<?=$id_codigo[$cont];?>" > 
      <input name="id_vendedor_zona[<?=$cont;?>]" id="id_vendedor_zona[<?=$cont;?>]" type="hidden" value="<?=$id_vendedor_zona[$cont];?>" > 
      <input name="id_ma[<?=$cont;?>]" id="id_ma[<?=$cont;?>]" type="hidden" value="<?=$id_ma[$cont];?>" > 
	  </td>     
        
	</tr>
	<?
	$cont=$cont+1;
	}
	$cantidad=$cont;
	?>
    
	</table>
   
     
</form>
</body>
</html>

<script language="javascript" type="text/javascript">

function PopWindow(pagina)
	{
	window.open(pagina,'TEST','width=1,height=1,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}

function graba(donde)
	{
	
	PopWindow('guarda_perfil_linea.php?id_vendedor_zona='+document.getElementById("id_vendedor_zona["+donde+"]").value+'&lunes='+document.getElementById("lunes["+donde+"]").value+'&martes='+document.getElementById("martes["+donde+"]").value+'&miercoles='+document.getElementById("miercoles["+donde+"]").value+'&jueves='+document.getElementById("jueves["+donde+"]").value+'&viernes='+document.getElementById("viernes["+donde+"]").value+'&sabado='+document.getElementById("sabado["+donde+"]").value+'&domingo='+document.getElementById("domingo").value);
			
	} 
	
function enviar()
	{
	document.form1.action = "guarda_rutas_dia.php";
	document.form1.submit();
	} 

function fun_estado(donde)	
	{
	var estado; 
	estado=' ';
	document.getElementById("lunes["+donde+"]").value=estado; 
	document.getElementById("martes["+donde+"]").value=estado;
	document.getElementById("miercoles["+donde+"]").value=estado;
	document.getElementById("jueves["+donde+"]").value=estado;
	document.getElementById("viernes["+donde+"]").value=estado;
	document.getElementById("sabado["+donde+"]").value=estado;
	document.getElementById("domingo["+donde+"]").value=estado;
	}
	
function fun_lunes(donde)	
	{
	fun_estado(donde);
	var estado; 
	estado = document.getElementById("lunes["+donde+"]").value;
	if (estado==0) {estado=1;}
	else {estado=0;}
	document.getElementById("lunes["+donde+"]").value=estado; 
	}
	
function fun_martes(donde)	
	{
	fun_estado(donde);
	var estado; 
	estado = document.getElementById("martes["+donde+"]").value;
	if (estado==0) {estado=1;}
	else {estado=0;}
	document.getElementById("martes["+donde+"]").value=estado; 
	}
function fun_miercoles(donde)	
	{
	fun_estado(donde);
	var estado; 
	estado = document.getElementById("miercoles["+donde+"]").value;
	if (estado==0) {estado=1;}
	else {estado=0;}
	document.getElementById("miercoles["+donde+"]").value=estado; 
	}
function fun_jueves(donde)	
	{
	fun_estado(donde);
	var estado; 
	estado = document.getElementById("jueves["+donde+"]").value;
	if (estado==0) {estado=1;}
	else {estado=0;}
	document.getElementById("jueves["+donde+"]").value=estado; 
	}
function fun_viernes(donde)	
	{
	fun_estado(donde);
	var estado; 
	estado = document.getElementById("viernes["+donde+"]").value;
	if (estado==0) {estado=1;}
	else {estado=0;}
	document.getElementById("viernes["+donde+"]").value=estado; 
	}
function fun_sabado(donde)	
	{
	fun_estado(donde);
	var estado; 
	estado = document.getElementById("sabado["+donde+"]").value;
	if (estado==0) {estado=1;}
	else {estado=0;}
	document.getElementById("sabado["+donde+"]").value=estado; 
	}	
function fun_domingo(donde)	
	{
	fun_estado(donde);
	var estado; 
	estado = document.getElementById("domingo["+donde+"]").value;
	if (estado==0) {estado=1;}
	else {estado=0;}
	document.getElementById("domingo["+donde+"]").value=estado; 
	}
	
function enviar1(aux)
    {
	document.form1.action = aux;
	document.form1.submit();
     } 
	
</script>

